summaryrefslogtreecommitdiffstats
path: root/office
diff options
context:
space:
mode:
author Chris Abela <chris.abela@maltats.com>2010-05-13 01:00:31 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 01:00:31 +0200
commitc4a042868afe005fb4fa7be2ca2c8bda2364e7d3 (patch)
tree80eb7abc6ef0047875bd109f420cc411ac131ea5 /office
parent058d1a6f460be9febfac1846021f74dc84d81d08 (diff)
downloadslackbuilds-c4a042868afe005fb4fa7be2ca2c8bda2364e7d3.tar.gz
slackbuilds-c4a042868afe005fb4fa7be2ca2c8bda2364e7d3.tar.xz
office/ganttproject: Added to 13.0 repository
Diffstat (limited to 'office')
-rw-r--r--office/ganttproject/README16
-rw-r--r--office/ganttproject/doinst.sh8
-rw-r--r--office/ganttproject/ganttproject25
-rw-r--r--office/ganttproject/ganttproject.SlackBuild94
-rw-r--r--office/ganttproject/ganttproject.info10
-rw-r--r--office/ganttproject/slack-desc19
6 files changed, 172 insertions, 0 deletions
diff --git a/office/ganttproject/README b/office/ganttproject/README
new file mode 100644
index 0000000000..0b40b91cd2
--- /dev/null
+++ b/office/ganttproject/README
@@ -0,0 +1,16 @@
+GanttProject - free tool for project scheduling and management
+
+GanttProject is GPL-licensed (free software) Java based, project management
+software that runs under the Windows, Linux and Mac OSX operating systems.
+
+It features a Gantt chart for project scheduling of tasks, and doing resource
+management using resource load charts. It has a number of reporting options
+(MS Project, HTML, PDF, spreadsheets).
+
+This SlackBuild provides a scripts; /bin/gantproject that may be called
+from a VT. Additionally it provides desktop integration.
+
+Dependencies to run this SlackBuild:
+apache-ant available from www.slackbuilds.org
+jdk available from Slackware's extra repository
+
diff --git a/office/ganttproject/doinst.sh b/office/ganttproject/doinst.sh
new file mode 100644
index 0000000000..e4e6459838
--- /dev/null
+++ b/office/ganttproject/doinst.sh
@@ -0,0 +1,8 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
diff --git a/office/ganttproject/ganttproject b/office/ganttproject/ganttproject
new file mode 100644
index 0000000000..dee15ada8e
--- /dev/null
+++ b/office/ganttproject/ganttproject
@@ -0,0 +1,25 @@
+#!/bin/sh
+# This script permits calling ganttproject from the /bin directly
+# rather than from /opt/ganttproject.
+# It supports white spaces in file names.
+# Chris Abela <chris.abela@maltats.com>
+
+# Usage: if /bin is in your $PATH, then:
+# $ ganttproject "World Domination Project.gan"
+# or simply: $ ganttproject
+
+[ $# -gt 1 ] && echo "Sorry! - Only one argument is allowed" && exit
+if [ $# -eq 1 ]
+then
+ DIRNAME=`dirname "$1"`
+ case "$DIRNAME" in
+ .) DIRNAME="$PWD" ;;
+ /) unset DIRNAME ;;
+ esac
+ BASENAME=`basename "$1"`
+ cd /opt/ganttproject
+ ./ganttproject.sh "$DIRNAME/$BASENAME"
+else
+ cd /opt/ganttproject
+ ./ganttproject.sh
+fi
diff --git a/office/ganttproject/ganttproject.SlackBuild b/office/ganttproject/ganttproject.SlackBuild
new file mode 100644
index 0000000000..1c7c4bc51e
--- /dev/null
+++ b/office/ganttproject/ganttproject.SlackBuild
@@ -0,0 +1,94 @@
+#!/bin/sh
+#
+# Slackware build script for ganttproject
+# Written by Chris Abela <chris.abela@maltats.com>
+# October 2009
+#
+# The CLI and GUI integration parts were inspired by the Mandriva Packages:
+# ganttproject-2.0.9-1mer.noarch.rpm and ganttproject-2.0.9-1mer.src.rpm
+# by Juan Luis Baptiste <jbaptiste@merlinux.org>
+# These RPM's are hosted at http://www.ganttproject.biz
+
+PRGNAM=ganttproject
+VERSION=${VERSION:-2.0.10}
+ARCH=noarch # Leave this alone
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p \
+ $TMP \
+ $PKG/{opt/ganttproject,usr/share/{applications,pixmaps,mime/packages}} \
+ $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-src
+unzip $CWD/$PRGNAM-$VERSION-src.zip
+cd $PRGNAM-$VERSION-src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+cd ganttproject-builder
+ant
+
+cd dist-bin
+cp -a eclipsito.jar ganttproject.sh plugins $PKG/opt/ganttproject
+chmod 755 $PKG/opt/ganttproject/ganttproject.sh
+
+# This is for CLI users:
+install -m 755 -D $CWD/ganttproject $PKG/usr/bin/ganttproject
+
+# And this is for GUI users:
+cp \
+ plugins/net.sourceforge.ganttproject_2.0.0/data/resources/logos/icon32.png \
+ $PKG/usr/share/pixmaps/ganttproject.png
+
+cat > $PKG/usr/share/applications/ganttproject.desktop << EOF
+[Desktop Entry]
+Encoding=UTF-8
+Name=GanttProject
+Comment="GanttProject is a tool for creating a project schedule by means of Gantt Chart."
+Comment[mt]="GanttProject huwa għodda biex toħloq skeda għall proġett permezz ta Gantt Chart."
+Exec=/opt/ganttproject/ganttproject.sh
+Icon=ganttproject.png
+Terminal=false
+Type=Application
+StartupNotify=true
+Categories=Office;ProjectManagement;
+MimeType=application/x-ganttproject;
+EOF
+
+cat > $PKG/usr/share/mime/packages/ganttproject.xml << EOF
+<?xml version="1.0"?>
+<mime-info xmlns='http://www.freedesktop.org/standards/shared-mime-info'>
+ <mime-type type="application/x-ganttproject">
+ <comment>Ganttproject Document</comment>
+ <glob pattern="*.gan" />
+ </mime-type>
+</mime-info>
+EOF
+
+# Standard stuff:
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cd ../../ganttproject
+cp -a \
+ AUTHORS COPYING README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/office/ganttproject/ganttproject.info b/office/ganttproject/ganttproject.info
new file mode 100644
index 0000000000..7def6a64f0
--- /dev/null
+++ b/office/ganttproject/ganttproject.info
@@ -0,0 +1,10 @@
+PRGNAM="ganttproject"
+VERSION="2.0.10"
+HOMEPAGE="http://www.ganttproject.biz"
+DOWNLOAD="http://ganttproject.googlecode.com/files/ganttproject-2.0.10-src.zip"
+MD5SUM="1a6f07ebe1b71d851df5ee474d25f5e2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Chris Abela"
+EMAIL="chris.abela@maltats.com"
+APPROVED="dsomero"
diff --git a/office/ganttproject/slack-desc b/office/ganttproject/slack-desc
new file mode 100644
index 0000000000..91a537293d
--- /dev/null
+++ b/office/ganttproject/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------|
+ganttproject: GanttProject (free tool for project scheduling and management)
+ganttproject:
+ganttproject: GanttProject is GPL-licensed (free software) Java based, project
+ganttproject: management software that runs under the Windows, Linux and Mac
+ganttproject: OSX operating systems.
+ganttproject: It features a Gantt chart for project scheduling of tasks, and
+ganttproject: doing resource management using resource load charts. It has a
+ganttproject: number of reporting options (MS Project, HTML, PDF,
+ganttproject: spreadsheets).
+ganttproject:
+ganttproject: Homepage: http://www.ganttproject.biz